Update Event Triggered Campaign
curl --request PUT \
--url https://api.aimtell.com/prod/event-campaign/{id} \
--header 'Content-Type: application/json' \
--header 'X-Authorization-Api-Key: <api-key>' \
--data '
{
"name": "<string>",
"title": "<string>",
"body": "<string>",
"link": "<string>",
"status": 123,
"eventAction": "<string>",
"eventCategory": "<string>",
"eventLabel": "<string>",
"delay": 123,
"drip": "<string>",
"customIcon": "<string>",
"customImage": "<string>",
"target_device": "<string>",
"actions": {
"a01": {
"title": "<string>",
"link": "<string>"
},
"a02": {
"title": "<string>",
"link": "<string>"
}
},
"collapse_key": "<string>"
}
'import requests
url = "https://api.aimtell.com/prod/event-campaign/{id}"
payload = {
"name": "<string>",
"title": "<string>",
"body": "<string>",
"link": "<string>",
"status": 123,
"eventAction": "<string>",
"eventCategory": "<string>",
"eventLabel": "<string>",
"delay": 123,
"drip": "<string>",
"customIcon": "<string>",
"customImage": "<string>",
"target_device": "<string>",
"actions": {
"a01": {
"title": "<string>",
"link": "<string>"
},
"a02": {
"title": "<string>",
"link": "<string>"
}
},
"collapse_key": "<string>"
}
headers = {
"X-Authorization-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Authorization-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
title: '<string>',
body: JSON.stringify('<string>'),
link: '<string>',
status: 123,
eventAction: '<string>',
eventCategory: '<string>',
eventLabel: '<string>',
delay: 123,
drip: '<string>',
customIcon: '<string>',
customImage: '<string>',
target_device: '<string>',
actions: {
a01: {title: '<string>', link: '<string>'},
a02: {title: '<string>', link: '<string>'}
},
collapse_key: '<string>'
})
};
fetch('https://api.aimtell.com/prod/event-campaign/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "success",
"campaignId": "329"
}{
"result": "error",
"message": "Error #136."
}{
"result": "error",
"message": "Please specify a valid auth_token."
}Triggered Campaigns
Update Event Triggered Campaign
Update an Event Triggered Campaign
PUT
/
prod
/
event-campaign
/
{id}
Update Event Triggered Campaign
Authorizations
Path Parameters
Campaign ID
Body
application/json
Name of Campaign
Push Title
Push Body Message
Push Notification Link
set 1 for draft, 5 for active
Time in seconds after event when push should be sent
Comma separated integer values representing delays as seconds from event. Example: 60, 300, 3600
url of custom icon to use (recommended size: 250x250)
url of custom image to use (recommended size: 300x500))
device type to target (optional). can be either: "any", "mobile" or "desktop"
action buttons
Show child attributes
Show child attributes
replace visible notifications on a subscribers device (e.g. breaking_news)
Response
200
⌘I

